# H245_H235Media_mediaType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_videoData, e_audioData, e_data, e_redundancyEncoding, e_multiplePayloadStream, e_depFec, e_fec }

## Public Member Functions

| H245_H235Media_mediaType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_VideoCapability & ()
| operator const H245_VideoCapability & () const
| operator H245_AudioCapability & ()
| operator const H245_AudioCapability & () const
| operator H245_DataApplicationCapability & ()
| operator const H245_DataApplicationCapability & () const
| operator H245_RedundancyEncoding & ()
| operator const H245_RedundancyEncoding & () const
| operator H245_MultiplePayloadStream & ()
| operator const H245_MultiplePayloadStream & () const
| operator H245_DepFECData & ()
| operator const H245_DepFECData & () const
| operator H245_FECData & ()
| operator const H245_FECData & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_H235Media_mediaType::Choices

Enumerator:

  e_nonStandard |
  e_videoData |
  e_audioData |
  e_data |
  e_redundancyEncoding |
  e_multiplePayloadStream |
  e_depFec |
  e_fec |

## Constructor & Destructor Documentation

H245_H235Media_mediaType::H245_H235Media_mediaType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_H235Media_mediaType::operator H245_NonStandardParameter & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_VideoCapability & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_VideoCapability & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_AudioCapability & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_AudioCapability & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_DataApplicationCapability & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_DataApplicationCapability & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_RedundancyEncoding & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_RedundancyEncoding & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_MultiplePayloadStream & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_MultiplePayloadStream & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_DepFECData & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_DepFECData & | ( |  | ) | const

H245_H235Media_mediaType::operator H245_FECData & | ( |  | ) |

H245_H235Media_mediaType::operator const H245_FECData & | ( |  | ) | const

PBoolean H245_H235Media_mediaType::CreateObject | ( |  | ) |

PObject* H245_H235Media_mediaType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h